Bug 803179 - Get "502 Proxy Error" while creating scalable ruby app right after creating domain
Get "502 Proxy Error" while creating scalable ruby app right after creating d...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 02:34 EDT by jizhao
Modified: 2015-05-14 18:52 EDT (History)
1 user (show)

See Also:
Fixed In Version: devenv_1662
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-19 14:23:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jizhao 2012-03-14 02:34:57 EDT
Description of problem:
Create a scalable ruby app immediately after creating domain.

Version-Release number of selected component (if applicable):
rhc-cartridge-rack-1.1-0.88.3-1.el6_2.noarch
rhc-cartridge-haproxy-1.4-0.6.6-1.el6_2.noarch
rubygem-stickshift-node-0.6.9-1.el6_2.noarch
rubygem-stickshift-common-0.6.4-1.el6_2.noarch
stickshift-abstract-0.6.7-1.el6_2.noarch
rubygem-stickshift-controller-0.6.8-1.el6_2.noarch

How reproducible:
Sometimes

Steps to Reproduce:
1.Create domain
$ rhc domain create -n jizhaotest1 -d
2.Create a scalable ruby app immediately using REST API
$ curl -k -H "Accept: application/xml" --user "jizhao+3@redhat.com:pass"  https://ec2-50-17-165-16.compute-1.amazonaws.com/broker/rest/domains/jizhaotest1/applications -X POST -d name=app1 -d cartridge=ruby-1.8 -d scale=true
3.
  
Actual results:
Sometimes the app is unavailable. Console output:
<------------------output---------------->
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>502 Proxy Error</title>
</head><body>
<h1>Proxy Error</h1>
<p>The proxy server received an invalid
response from an upstream server.<br />
The proxy server could not handle the request <em><a href="/broker/rest/domains/jizhaotest1/applications">POST&nbsp;/broker/rest/domains/jizhaotest1/applications</a></em>.<p>
Reason: <strong>Error reading from remote server</strong></p></p>
<hr>
<address>Apache/2.2.15 (Red Hat) Server at ec2-50-17-165-16.compute-1.amazonaws.com Port 443</address>
</body></html>
<---------------------------------------->

Expected results:
The app should be created without error.

Additional info:
Comment 1 jizhao 2012-03-15 07:03:07 EDT
Verified on devenv_1662.

Note You need to log in before you can comment on or make changes to this bug.